﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace otomasyon
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            cogr.Text = "Seçiniz";

        }

        private void harfhesapla()
        {

            lharf.Items.Clear(); // harflerin hepsini sildik

            string[] harfler = { "AA", "BA", "BB", "CB", "CC", "DC", "DD", "FD" };

            for (int i = 0; i < lort.Items.Count; i++)
            {

                int ort = Convert.ToInt32(lort.Items[i].ToString());

                string harf = "FF";

                for (int j = 0; j < sinir.Length; j++)
                {
                    if (ort >= sinir[j])
                    {
                        harf = harfler[j];
                        break;
                    }
                }

                lharf.Items.Add(harf);
            }

        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
           
            if (tvize.Text.Length > 0 &&
                tfinal.Text.Length > 0 &&
                cogr.SelectedIndex > -1)
            { 
            
                int vize,final;
                bool ttvize=Int32.TryParse(tvize.Text,out vize);
                bool ttfinal = Int32.TryParse(tfinal.Text, out final);

                if (ttfinal && ttvize &&
                    vize >= 0 && vize <= 100 && final >= 0 && final <= 100)
                {

                    logr.Items.Add(cogr.Text);
                    lvize.Items.Add(tvize.Text);
                    lfinal.Items.Add(tfinal.Text);
                   // double ortalama = Math.Round(vize * 0.4 + final * 0.6);
                    //int ort = (int)ortalama;
                    int ort = (int)Math.Round(vize * 0.4 + final * 0.6);
                    lort.Items.Add(ort.ToString());
                    cogr.SelectedIndex = -1;
                    cogr.Text = "Seçiniz";
                    

                    tvize.Clear();
                    tfinal.Text = "";
                    harfhesapla();
                }
            }
        }

        private void bcikis_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        int[] sinir = new int[8];

        private void bsinirlar_Click(object sender, EventArgs e)
        {
            Form2 frm2 = new Form2(sinir);
            frm2.ShowDialog();
            harfhesapla();

            l1.Text = sinir[0].ToString();
            l2.Text = sinir[1].ToString();
            l3.Text = sinir[2].ToString();
            l4.Text = sinir[3].ToString();
            l5.Text = sinir[4].ToString();
            l6.Text = sinir[5].ToString();
            l7.Text = sinir[6].ToString();
            l8.Text = sinir[7].ToString();


        }

        private void bogrekle_Click(object sender, EventArgs e)
        {
            Form3 frm3 = new Form3(cogr); // ogrenci combobox ini form3 e gonderdik
            frm3.ShowDialog();
        }   
    }
}
